/*  Copyright (C) 1996  Byron Stanoszek
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **************************************************************************/

/* sndtest.c */

/* this program tests the sound driver's socket. note #s are decimal, not hex
 *
 * usage: sndtest 32 1 4               => Fades and selects Chapter 1 Song 4.
 *        sndtest 248 249 3 51 0 3     => Pauses current song for 3 seconds,
 *                                        opens up Chapter 0 Song 3 and plays
 *                                        it until end, then goes back to old
 *                                        song.
 *
 * Refer to wav.h for codes of operation */

#include "sound.h"

#define GRDL_VER "v1.2a2"


void main(argc, argv)
int argc;
char *argv[];
{
  FILE *f;
  int a, b, c=0;
  char *cmd=*argv;

  /* grab any flags on the command line */
  while(argc-- > 1) {
    ++argv;
    if(**argv == '-') {
      for(a=1;(*argv)[a];a++) {
        switch((*argv)[a]) {
        case 'v':
          fprintf(stdout, "%s: GRDL Version Reference %s\n", cmd, GRDL_VER);
          fflush(stdout);
          exit(0);
        default:
          fprintf(stderr, "%s: illegal option -- %c\n", cmd, (*argv)[a]);
          fprintf(stderr, "Usage: %s [-v] code ...\n", cmd);
          fflush(stderr);
          exit(1);
        }
      }
      continue;
    } else
      break;
  }


  if((f=fopen("/dev/tty1","a")) == NULL) {
    perror("/dev/tty1");
    exit(1);
  }

  for(b=0;b<16;b++) {
    fprintf(f, "\e[");
      for(a=0;a<16 && c<argc;a++,c++)
        fprintf(f, "%s%d", a?";":"", atoi(argv[c]));
    fprintf(f, "t");
    if(c >= argc)
      break;
  }

  fflush(f);
  fclose(f);
}
